## Supplementary Data

The following supplementary data are available at JXB online. 
 https://academic.oup.com/jxb/article/75/3/1036/7313479#438654548

**erad401_suppl_Supplementary_Figures_S1-S12 - pdf file**

Fig. S1. Natural variation of S content in leaves of Arabidopsis thaliana accessions.

Fig. S2. Quantification of anion content in leaves of three groups of Arabidopsis thaliana accessions, based on the S content in leaf.

Fig. S3. Sulfate uptake traits in Arabidopsis thaliana accessions.

Fig. S4. Linear regression analysis on the relationship of S uptake in opposite groups of Arabidopsis thaliana accessions, based on the S content in leaves.

Fig. S5. Clustering analysis was performed on 383 Arabidopsis thaliana nutrient-related genes in seven contrasting accessions.

Fig. S6. RT-qPCR analysis in 14 A. thaliana contrasting accessions, based on the S content in leaves.

Fig. S7. Quantification of cysteine (Cys) and gluthatione (GSH) in leaves in A. thaliana contrasting accessions, based on the S content in leaves.

Fig. S8. Quantification of glucosinolates (GSLs) in leaves of A. thaliana contrasting accessions, based on the S content in leaves.

Fig. S9. Linear regression analysis on relationship of S uptake and S metabolites.

**erad401_suppl_Supplementary_Tables_S1-S8 - xlsx file**

Table S1. Ionomics data for 174 overlapping accessions between Baxter et al. (2007) and Campos et al. (2021) were used to perform PCA, and select three groups of accessions with low, mid, and high S content.

Table S2. RT-qPCR primers used.

Table S3. Loading matrix and eigenvalues of the first 10 principal components (Prin1–10). Ionomics data for 174 overlapping accessions between Baxter et al. (2007) and Campos et al. (2021) were used to perform PCA.

Table S4. Z-scores of 383 nutrient-related genes in seven accessions with contrasting S content in leaves (expression values transformed from Kawakatsu et al., 2016).

Table S5. P-values between low and high S-containing accession groups, for significantly different GSLs. t-test (P-value <0.05).

Table S6. Correlation matrix of quantified mean traits.

Table S7. P-value matrix of quantified mean traits.

Table S8. Pairwise correlations of all quantified mean traits.